package com.bewo.admedia;

import android.app.Activity;
import android.content.Intent;
import android.hardware.display.DisplayManager;
import android.os.Bundle;
import android.view.Display;
import android.view.View;

import com.bewo.admedia.adscreens.AdScreenHDMIDisplay;
//import com.bewo.admedia.adscreens.SlideshowService;
import com.bewo.admedia.utils.AppConstants;

import java.io.DataOutputStream;
import java.io.File;

/**
 * Created by bewopos team.
 */
public class MainActivity extends Activity implements View.OnClickListener {
	
	AdScreenHDMIDisplay adScreen = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        File folder = new File(AppConstants.AdImagesPath);
        if(!folder.exists()) folder.mkdirs();

        folder = new File(AppConstants.AdVideosPath);
        if(!folder.exists()) folder.mkdirs();

        try {
            Process proc = Runtime.getRuntime().exec(new String[]{ "su", "-c", "echo bogus" });
            proc.waitFor();
        } catch (Exception ex) {
            ex.printStackTrace();
        }

       String[] commands = {"-c", "echo bogus"};
        //RunAsRoot(commands);
    }


    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.start:
                //startService(new Intent(this, SlideshowService.class));
                /*DownloadVideoExecutors dve = new DownloadVideoExecutors(MainActivity.this);
                dve.execute("");*/
            	startPresentation();
                break;
            case R.id.stop:
                //stopService(new Intent(this, SlideshowService.class));
            	stopPresentation();
                break;
        }
    }

    public void RunAsRoot(String[] cmds){
        try {
            Process p = Runtime.getRuntime().exec("su");
            DataOutputStream os = new DataOutputStream(p.getOutputStream());
            for (String tmpCmd : cmds) {
                os.writeBytes(tmpCmd+"\n");
            }
            os.writeBytes("exit\n");
            os.flush();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    private void startPresentation(){
    	DisplayManager dm = (DisplayManager) getSystemService(DISPLAY_SERVICE);
        if (dm != null){
            final Display[] displays = dm.getDisplays(DisplayManager.DISPLAY_CATEGORY_PRESENTATION);

            System.out.println("Display available: "+displays.length);

            if (displays.length > 0){
                adScreen = new AdScreenHDMIDisplay(this, displays[0]);
                adScreen.show();
            }
        }
    }
    
    private void stopPresentation(){
    	if (adScreen != null) {
    		adScreen.dismiss();
    	}
    }
}
